<?php
/**
 * 增加日志
 * @param $log
 * @param bool $name
 */

function addlog($log, $name = false)
{
    $Model = M('log');
    if (!$name) {
        session_start();
        $uid = session('uid');
        if ($uid) {
            $user = M('member')->field('user')->where(array('uid' => $uid))->find();
            $data['name'] = $user['user'];
        } else {
            $data['name'] = '';
        }
    } else {
        $data['name'] = $name;
    }
    $data['t'] = time();
    $data['ip'] = $_SERVER["REMOTE_ADDR"];
    $data['log'] = $log;
    $Model->data($data)->add();
}


/**
 *
 * 获取用户信息
 *
 **/
function member($uid, $field = false)
{
    $model = M('Member');
    if ($field) {
        return $model->field($field)->where(array('uid' => $uid))->find();
    } else {
        return $model->where(array('uid' => $uid))->find();
    }
}

  
/**
 * 
 * 上传文件
 */
function UploadFile($uploadData = array()){
    $upload = new \Think\Upload();// 实例化上传类
    $upload->maxSize   =     52428800 ;// 设置附件上传大小
    $upload->exts      =     array('mp4');// 设置附件上传类型
    $upload->rootPath  =     './Public/';  //根
    $upload->savePath  =     'attached/'.date('Y')."/".date('m')."/";
    $upload->subName   =     array('date', 'd');
    $upload->autoSub   =     true; 
    
    foreach ($uploadData as $k=>$v) {
        if (isset($k)) $upload->$k = $v;
    }
    
    $info = $upload->upload();
    if(!$info){
        return $upload->getError();
    }else{
        return $info;
    }
}
    
function getTaskNo()
{
    //生成24位唯一订单号码，格式：YYYY-MMDD-HHII-SS-NNNN,NNNN-CC，其中：YYYY=年份，MM=月份，DD=日期，HH=24格式小时，II=分，SS=秒，NNNNNNNN=随机数，CC=检查码
    
    @date_default_timezone_set("PRC");
    //订购日期
    
    $order_date = date('Y-m-d');
    
    //订单号码主体（YYYYMMDDHHIISSNNNNNNNN）
    
    $order_id_main = date('YmdHis') . rand(10000000,99999999);
    
    //订单号码主体长度
    
    $order_id_len = strlen($order_id_main);
    
    $order_id_sum = 0;
    
    for($i=0; $i<$order_id_len; $i++){
        
        $order_id_sum += (int)(substr($order_id_main,$i,1));
        
    }
    
    //唯一订单号码（YYYYMMDDHHIISSNNNNNNNNCC）
    
    $order_id = $order_id_main . str_pad((100 - $order_id_sum % 100) % 100,2,'0',STR_PAD_LEFT);
    return $order_id;
}
    
    