<?php if (!defined('THINK_PATH')) exit();?><!DOCTYPE html>
<html lang="zh-CN">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"/>
    <meta charset="utf-8"/>
    <title><?php echo ($current['title']); ?>-<?php echo (C("sitename")); ?></title>

    <meta name="keywords" content="<?php echo (C("keywords")); ?>"/>
    <meta name="description" content="<?php echo (C("description")); ?>"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0"/>


    <!-- bootstrap & fontawesome -->
    <link rel="stylesheet" href="/Public/qwadmin/css/bootstrap.css"/>
    <link rel="stylesheet" href="/Public/qwadmin/css/font-awesome.css"/>
    <link rel="stylesheet" href="/Public/qwadmin/css/jquery-ui.css"/>
    <!-- page specific plugin styles -->

    <!-- text fonts -->
    <link rel="stylesheet" href="/Public/qwadmin/css/ace-fonts.css"/>

    <!-- ace styles -->
    <link rel="stylesheet" href="/Public/qwadmin/css/ace.css" class="ace-main-stylesheet" id="main-ace-style"/>
	<link rel="stylesheet" href="/Public/qwadmin/css/bootstrap-colorpicker.css" >
    <!--[if lte IE 9]>
    <link rel="stylesheet" href="/Public/qwadmin/css/ace-part2.css" class="ace-main-stylesheet"/>
    <![endif]-->

    <!--[if lte IE 9]>
    <link rel="stylesheet" href="/Public/qwadmin/css/ace-ie.css"/>

    <![endif]-->

    <!-- inline styles related to this page -->
	<link rel="stylesheet" href="/Public/qwadmin/css/viewer.min.css">
    <!-- ace settings handler -->
    <script src="/Public/qwadmin/js/ace-extra.js"></script>

    <!-- HTML5shiv and Respond.js for IE8 to support HTML5 elements and media queries -->

    <!--[if lte IE 8]>
    <script src="/Public/qwadmin/js/html5shiv.js"></script>
    <script src="/Public/qwadmin/js/respond.js"></script>
    <![endif]-->
    
    <!-- webuploader -->
    <script type="text/javascript" src="/Public/qwadmin/js/jquery-2.0.3.min.js"></script>
    <link rel="stylesheet" type="text/css" href="/Public/qwadmin/js/webuploader/webuploader.css">
    <script type="text/javascript" src="/Public/qwadmin/js/webuploader/webuploader.js"></script>
    <script type="text/javascript" src="/Public/qwadmin/js/bootstrap-select.js"></script>
    <!-- layer js --> 
    <script type="text/javascript" src="/Public/qwadmin/layer/layer.js"></script>
        <link rel="stylesheet" href="/Public/qwadmin/css/sort.css"/>
</head>
<body class="no-skin">
<div class="main-container" id="main-container">
    <script type="text/javascript">
        try {
            ace.settings.check('main-container', 'fixed')
        } catch (e) {
        }
    </script>
    <div class="main-content">
        <div class="main-content-inner">
            <div class="page-content">
                <div class="row">
                    <div class="col-xs-12">
                        <!-- PAGE CONTENT BEGINS -->
                        <div class="cf">
                            <form class="form-inline" action="" method="get">
                            <input name="uid" type="hidden" value="<?php echo ($uid); ?>"/>
                            	<label class="inline">会员等级</label>
                                <select name="level" class="form-control">
                                    <option value="">--全部--</option>
                                    <?php if(is_array($level_list)): $i = 0; $__LIST__ = $level_list;if( count($__LIST__)==0 ) : echo "" ;else: foreach($__LIST__ as $key=>$vo): $mod = ($i % 2 );++$i;?><option value="<?php echo ($vo['id']); ?>" <?php if($vo['id'] == $level): ?>selected<?php endif; ?>><?php echo ($vo["title"]); ?></option><?php endforeach; endif; else: echo "" ;endif; ?>
                                </select>
                            	<button type="submit" class="btn btn-purple btn-sm">
                                    <span class="ace-icon fa fa-search icon-on-right bigger-110"></span>
                                    搜索
                                </button>
                            </form>
                        </div>
                        <div class="space-4"></div>
                            <table class="table table-striped table-bordered" id="dowebok">
                                <thead>
                                <tr>
                                	<th>用户名</th>
                                	<th>昵称</th>
                                	<th>头像</th>
                                	<th>余额</th>
									<th>任务佣金</th>
									<th>已提现</th>
									<th>邀请奖励</th>
									<th>登录次数</th>
									<th>充值点击次数</th>
									<th>提现点击次数</th>
									<th>发布点击次数</th>
                                	<th>会员等级</th>
                                	<th>注册时间</th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php if(empty($list)): ?><tr>
                                		<td colspan="6" style="text-align:center;">暂时没有数据</td>
                                	</tr>
                                <?php else: ?>
                                	<?php if(is_array($list)): $i = 0; $__LIST__ = $list;if( count($__LIST__)==0 ) : echo "" ;else: foreach($__LIST__ as $key=>$val): $mod = ($i % 2 );++$i;?><tr>
                                    	<td><?php echo ($val['username']); ?></td>
                                        <td><?php echo ($val['nickname']); ?></td>
                                        <td><img src="<?php echo ($val["head_img"]); ?>" width="120"/></td>
                                        <td><?php echo ($val['money']); ?></td>
										<td><?php echo ($val['task_income']); ?></td>
										<td><?php echo ($val['tixian_income']); ?></td>
										<td><?php echo ($val['money_invite']); ?></td>
										<td><?php echo ($val['count']); ?></td>
										<td><?php echo ($val['mylevel_num']); ?></td>
										<td><?php echo ($val['cash_num']); ?></td>
										<td><?php echo ($val['fabu_num']); ?></td>
                                        <td><?php echo ($val['level_name']); ?></td>
                                        <td><?php echo (date('Y-m-d H:i:s',$val["t"])); ?></td>
                                    </tr><?php endforeach; endif; else: echo "" ;endif; endif; ?>
                                </tbody>
                            </table>
                        <?php echo ($page); ?>
                        <!-- PAGE CONTENT ENDS -->
                    </div><!-- /.col -->
                </div><!-- /.row -->
            </div><!-- /.page-content -->
        </div>
    </div><!-- /.main-content -->

</div><!-- /.main-container -->

<!-- basic scripts -->

<!--[if !IE]> -->
<script type="text/javascript">
    window.jQuery || document.write("<script src='/Public/qwadmin/js/jquery.js'>" + "<" + "/script>");
</script>

<!-- <![endif]-->

<!--[if IE]>
<script type="text/javascript">
    window.jQuery || document.write("<script src='/Public/qwadmin/js/jquery1x.js'>" + "<" + "/script>");
</script>
<![endif]-->
<script type="text/javascript">
    if ('ontouchstart' in document.documentElement) document.write("<script src='/Public/qwadmin/js/jquery.mobile.custom.js'>" + "<" + "/script>");
</script>
<script src="/Public/qwadmin/js/bootstrap.js"></script>
<script src="/Public/qwadmin/js/bootbox.js"></script>
<!-- ace scripts -->
<script src="/Public/qwadmin/js/ace/elements.scroller.js"></script>
<script src="/Public/qwadmin/js/ace/elements.colorpicker.js"></script>
<script src="/Public/qwadmin/js/ace/elements.fileinput.js"></script>
<script src="/Public/qwadmin/js/ace/elements.typeahead.js"></script>
<script src="/Public/qwadmin/js/ace/elements.wysiwyg.js"></script>
<script src="/Public/qwadmin/js/ace/elements.spinner.js"></script>
<script src="/Public/qwadmin/js/ace/elements.treeview.js"></script>
<script src="/Public/qwadmin/js/ace/elements.wizard.js"></script>
<script src="/Public/qwadmin/js/ace/elements.aside.js"></script>
<script src="/Public/qwadmin/js/ace/ace.js"></script>
<script src="/Public/qwadmin/js/ace/ace.ajax-content.js"></script>
<script src="/Public/qwadmin/js/ace/ace.touch-drag.js"></script>
<script src="/Public/qwadmin/js/ace/ace.sidebar.js"></script>
<script src="/Public/qwadmin/js/ace/ace.sidebar-scroll-1.js"></script>
<script src="/Public/qwadmin/js/ace/ace.submenu-hover.js"></script>
<script src="/Public/qwadmin/js/ace/ace.widget-box.js"></script>
<script src="/Public/qwadmin/js/ace/ace.settings.js"></script>
<script src="/Public/qwadmin/js/ace/ace.settings-rtl.js"></script>
<script src="/Public/qwadmin/js/ace/ace.settings-skin.js"></script>
<script src="/Public/qwadmin/js/ace/ace.widget-on-reload.js"></script>
<script src="/Public/qwadmin/js/ace/ace.searchbox-autocomplete.js"></script>
<script src="/Public/qwadmin/js/jquery-ui.js"></script>
<script src="/Public/qwadmin/js/viewer.min.js"></script>
<script src="/Public/qwadmin/js/bootstrap-colorpicker.js"></script>
<!-- inline scripts related to this page -->
</body>
</html>