<?php if (!defined('THINK_PATH')) exit();?><!DOCTYPE html>
<html lang="zh-CN">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"/>
    <meta charset="utf-8"/>
    <title><?php echo ($current['title']); ?>-<?php echo (C("sitename")); ?></title>

    <meta name="keywords" content="<?php echo (C("keywords")); ?>"/>
    <meta name="description" content="<?php echo (C("description")); ?>"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0"/>


    <!-- bootstrap & fontawesome -->
    <link rel="stylesheet" href="/Public/qwadmin/css/bootstrap.css"/>
    <link rel="stylesheet" href="/Public/qwadmin/css/font-awesome.css"/>
    <link rel="stylesheet" href="/Public/qwadmin/css/jquery-ui.css"/>
    <!-- page specific plugin styles -->

    <!-- text fonts -->
    <link rel="stylesheet" href="/Public/qwadmin/css/ace-fonts.css"/>

    <!-- ace styles -->
    <link rel="stylesheet" href="/Public/qwadmin/css/ace.css" class="ace-main-stylesheet" id="main-ace-style"/>
	<link rel="stylesheet" href="/Public/qwadmin/css/bootstrap-colorpicker.css" >
    <!--[if lte IE 9]>
    <link rel="stylesheet" href="/Public/qwadmin/css/ace-part2.css" class="ace-main-stylesheet"/>
    <![endif]-->

    <!--[if lte IE 9]>
    <link rel="stylesheet" href="/Public/qwadmin/css/ace-ie.css"/>

    <![endif]-->

    <!-- inline styles related to this page -->
	<link rel="stylesheet" href="/Public/qwadmin/css/viewer.min.css">
    <!-- ace settings handler -->
    <script src="/Public/qwadmin/js/ace-extra.js"></script>

    <!-- HTML5shiv and Respond.js for IE8 to support HTML5 elements and media queries -->

    <!--[if lte IE 8]>
    <script src="/Public/qwadmin/js/html5shiv.js"></script>
    <script src="/Public/qwadmin/js/respond.js"></script>
    <![endif]-->
    
    <!-- webuploader -->
    <script type="text/javascript" src="/Public/qwadmin/js/jquery-2.0.3.min.js"></script>
    <link rel="stylesheet" type="text/css" href="/Public/qwadmin/js/webuploader/webuploader.css">
    <script type="text/javascript" src="/Public/qwadmin/js/webuploader/webuploader.js"></script>
    <script type="text/javascript" src="/Public/qwadmin/js/bootstrap-select.js"></script>
    <!-- layer js --> 
    <script type="text/javascript" src="/Public/qwadmin/layer/layer.js"></script>
        <link rel="stylesheet" href="/Public/qwadmin/css/sort.css"/>
</head>
<body class="no-skin">
<div class="main-container" id="main-container">
    <script type="text/javascript">
        try {
            ace.settings.check('main-container', 'fixed')
        } catch (e) {
        }
    </script>
    <div class="main-content">
        <div class="main-content-inner">
            <!-- /section:basics/content.breadcrumbs -->
            <div class="page-content">
                
                <div class="row">
                    <div class="col-xs-12">
                        <form class="form-horizontal" id="form" method="post" action="<?php echo U('update');?>">

                            <!-- PAGE CONTENT BEGINS -->

                           <input type="hidden" name="id" value="<?php echo ($vo['id']); ?>"/>
                           <input type="hidden" name="p" value="<?php echo ($p); ?>"/>
                           <input type="hidden" name="sh_status" value="<?php echo ($sh_status); ?>"/>
                            
                            <div class="form-group">
                                
                                <label class="col-sm-1 control-label no-padding-right" for="form-field-0">
                                    任务名:</label>
                                <div class="col-sm-9" style="padding-top: 6px;">
                                    <span class="middle">
                                    	<?php echo ($vo["title"]); ?>
                                    </span>
                                </div>
                            </div>
                            <div class="space-4"></div>
							<div class="form-group">
							    <label class="col-sm-1 control-label no-padding-right" for="form-field-1">
							        任务备注:</label>
							    <div class="col-sm-9" style="padding-top: 6px;">
							        <span class="middle">
							        	<?php echo ($vo["remark"]); ?>
							        </span>
							    </div>
							</div>
							<div class="space-4"></div>
							<div class="form-group">
							    <label class="col-sm-1 control-label no-padding-right" for="form-field-2">
							        任务图片： </label>
							    <div class="col-sm-9" style="padding-top: 6px;">
							    	<?php if(!empty($pics)): if(is_array($pics)): foreach($pics as $key=>$pic): ?><img src="<?php echo ($pic); ?>" width="300" height="520"/><?php endforeach; endif; endif; ?>
							    </div>
							</div>
							<div class="space-4"></div>
							<div class="form-group">
							    <label class="col-sm-1 control-label no-padding-right" for="form-field-2">
							        所属媒体： </label>
							    <div class="col-sm-9" style="padding-top: 6px;">
							        <span class="middle">
							        	<?php echo ($vo["cate_name"]); ?>
							        </span>
							    </div>
							</div>
							<div class="space-4"></div>
							<div class="form-group">
							    <label class="col-sm-1 control-label no-padding-right" for="form-field-2">
							        任务要求： </label>
							    <div class="col-sm-9" style="padding-top: 6px;">
							        <span class="middle">
							        	<?php echo ($vo["money_info"]); ?>
							        </span>
							    </div>
							</div>
							<div class="space-4"></div>
							<div class="form-group">
							    <label class="col-sm-1 control-label no-padding-right" for="form-field-2">
							        状态： </label>
							    <div class="col-sm-9" style="padding-top: 6px;">
							        <span class="middle">
							        	<?php if($vo['status'] == 0): ?>待完成<?php endif; ?>
							        	<?php if($vo['status'] == 1): ?>待审核<?php endif; ?>
							        	<?php if($vo['status'] == 2): ?>已完成<?php endif; ?>
							        	<?php if($vo['status'] == 4): ?>已取消<?php endif; ?>
							        </span>
							    </div>
							</div>
							<div class="space-4"></div>
							<?php if($vo['status'] == 1): ?><div class="form-group">
							    <label class="col-sm-1 control-label no-padding-right" for="form-field-2">
							        状态审核： </label>
							    <div class="col-sm-9" style="padding-top: 6px;">
							        <select id="status" name="status" class="col-xs-10 col-sm-5"> 
							          <option value="2">已完成</option>
							          <option value="4">已取消</option>
							        </select>
							    </div>
							</div>
							<div class="form-group">
							    <label class="col-sm-1 control-label no-padding-right" for="form-field-1">
							        审核备注 </label>
							    <div class="col-sm-9">
							        <input type="text" name="sh_remark" id="sh_remark" placeholder="审核备注"
							               class="col-xs-10 col-sm-5">
							    </div>
							</div>
                            <div class="col-md-9" style="padding-left:5%">
                                <if condition="$vo['status'] eq 1">
                                <button class="btn btn-info submit" type="button">
                                    <i class="icon-ok bigger-110"></i>
                                    提交
                                </button><?php endif; ?>
                                <button class="btn" type="button" onclick="history.back(0)">
                                    <i class="icon-undo bigger-110"></i>
                                    返回
                                </button>
                            </div>
                        </form>
                    </div><!-- /.col -->
                </div><!-- /.row -->
            </div><!-- /.page-content -->
        </div>
    </div><!-- /.main-content -->

</div><!-- /.main-container -->

<!-- basic scripts -->

<!--[if !IE]> -->
<script type="text/javascript">
    window.jQuery || document.write("<script src='/Public/qwadmin/js/jquery.js'>" + "<" + "/script>");
</script>

<!-- <![endif]-->

<!--[if IE]>
<script type="text/javascript">
    window.jQuery || document.write("<script src='/Public/qwadmin/js/jquery1x.js'>" + "<" + "/script>");
</script>
<![endif]-->
<script type="text/javascript">
    if ('ontouchstart' in document.documentElement) document.write("<script src='/Public/qwadmin/js/jquery.mobile.custom.js'>" + "<" + "/script>");
</script>
<script src="/Public/qwadmin/js/bootstrap.js"></script>
<script src="/Public/qwadmin/js/bootbox.js"></script>
<!-- ace scripts -->
<script src="/Public/qwadmin/js/ace/elements.scroller.js"></script>
<script src="/Public/qwadmin/js/ace/elements.colorpicker.js"></script>
<script src="/Public/qwadmin/js/ace/elements.fileinput.js"></script>
<script src="/Public/qwadmin/js/ace/elements.typeahead.js"></script>
<script src="/Public/qwadmin/js/ace/elements.wysiwyg.js"></script>
<script src="/Public/qwadmin/js/ace/elements.spinner.js"></script>
<script src="/Public/qwadmin/js/ace/elements.treeview.js"></script>
<script src="/Public/qwadmin/js/ace/elements.wizard.js"></script>
<script src="/Public/qwadmin/js/ace/elements.aside.js"></script>
<script src="/Public/qwadmin/js/ace/ace.js"></script>
<script src="/Public/qwadmin/js/ace/ace.ajax-content.js"></script>
<script src="/Public/qwadmin/js/ace/ace.touch-drag.js"></script>
<script src="/Public/qwadmin/js/ace/ace.sidebar.js"></script>
<script src="/Public/qwadmin/js/ace/ace.sidebar-scroll-1.js"></script>
<script src="/Public/qwadmin/js/ace/ace.submenu-hover.js"></script>
<script src="/Public/qwadmin/js/ace/ace.widget-box.js"></script>
<script src="/Public/qwadmin/js/ace/ace.settings.js"></script>
<script src="/Public/qwadmin/js/ace/ace.settings-rtl.js"></script>
<script src="/Public/qwadmin/js/ace/ace.settings-skin.js"></script>
<script src="/Public/qwadmin/js/ace/ace.widget-on-reload.js"></script>
<script src="/Public/qwadmin/js/ace/ace.searchbox-autocomplete.js"></script>
<script src="/Public/qwadmin/js/jquery-ui.js"></script>
<script src="/Public/qwadmin/js/viewer.min.js"></script>
<script src="/Public/qwadmin/js/bootstrap-colorpicker.js"></script>
<!-- inline scripts related to this page -->
<script type="text/javascript">
	var close_flag = "<?php echo I('close');?>";
	if(close_flag == 1){
		var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
		parent.layer.close(index); //再执行关闭
		parent.location.reload();
	}
	$(function () {
	    $("#tabs").tabs();
	    $(".submit").click(function () {
	    	var st = "<?php echo ($vo['status']); ?>";
	    	if(st == 1){
	    		$("#form ").submit();	
	    	}
	    });
	}); 
</script>
</body>
</html>