<?php
/**
 *
 * 版权所有：安德玛(underArmour)
 * 作    者：1554324405@qq.com
 * 日    期：2020-05-20
 * 版    本：1.0.0
 * 功能说明：消息提醒更新控制器。
 *
 **/
namespace Admin\Controller;

class NoticeController extends ComController
{
    public function update()
    {
        //待审核任务
        $task_count = M('task')->where(array('pay_status'=>2))->count();
        //接单待审核
        $user_task_count = M('user_task')->where(array('status'=>1))->count();
        //会员收益待审核
        $user_level_count = M('user_level_buy')->where(array('status'=>1))->count();
        //用户提现待审核
        $tixian_count = M('tixian')->where(array('status'=>1))->count();
        $result = array(
            'task_count'=>$task_count,
            'user_task_count'=>$user_task_count,
            'user_level_count'=>$user_level_count,
            'tixian_count'=>$tixian_count,
            'total_count'=>intval($task_count)+intval($user_task_count)+intval($user_level_count)+intval($tixian_count)
        );
        $this->ajaxReturn($result);
    }
}