<?php
/**
 *
 * 版权所有：安德玛(underArmour)
 * 作    者：1554324405@qq.com
 * 日    期：2020-05-20
 * 版    本：1.0.0
 * 版本控制：
			20210124：增加审核备注功能
 * 功能说明：审核备注控制器。
 *
 **/

namespace Admin\Controller;

class ShenheRemarkController extends ComController
{
    /**
     * 列表
     */
    public function index()
    {
        $model = M('shenhe');
        $list = $model->select();
        $this->assign('list',$list);
        $this->display();
    }
    
    
    /**
     * 新增banner
     */
    public function add()
    {
        if(IS_POST){
            $data['remark'] = I('post.remark','','htmlspecialchars');
            $res = M('shenhe')->data($data)->add();
            if($res){
                addlog('新增提现审核备注成功，ID：'.$res);
                $this->success('新增提现审核备注成功',U('index'));
            }else{
                $this->error('上传失败，请稍后再试！');
            }
        }else{
            $this->assign('method',U('ShenheRemark/add'));
            $this->display('form');
        }
    }
    
    
    /**
     * 修改banner
     */
    public function update()
    {
        $id = I('id');
        if(!$id){
            $this->error('传参不合法，请检查链接是否正确！');
        }
        if(IS_POST){
            $data['remark'] = I('post.remark','','htmlspecialchars');
            $res = M('shenhe')->where('id='.$id)->data($data)->save();
            if($res){
                addlog('新增提现审核备注成功，ID：'.$id);
                $this->success('新增提现审核备注成功',U('index'));
            }else{
                $this->error('上传失败，请稍后再试！');
            }
        }else{
            $vo = M('shenhe')->where('id='.$id)->find();
            $this->assign('method',U('ShenheRemark/update'));
            $this->assign('vo',$vo);
            $this->display('form');
        }
    }
    
    /**
     * 删除banner
     */
    public function delete()
    {
        $id = I('get.id');
        if(!$id){
            $this->error('传参不合法，请检查链接是否正确！');
        }
        $res = M('shenhe')->where('id='.$id)->delete();
        if($res){
            addlog('删除提现审核备注成功，ID：'.$id);
            $this->success('删除提现审核备注成功',U('index'));
        }else{
            $this->error('删除失败，请稍后再试！');
        }
    }
}